Get user reviews for a Google Maps place by place_id. Each review includes rating, full text, author info (photo, total review count, Local Guide level), timestamps, attached photos, and any owner response. Each page returns up to 10 reviews. Vary language and sort_by to surface different review sets.
curl "https://apidirect.io/v1/places/reviews?place_id=ChIJifIePKtZwokRVZ-UdRGkZzs&pages=2&sort_by=newest" \
-H "X-API-Key: YOUR_API_KEY"
{
"reviews": [
{
"review_id": "Ci9DQUlRQUNvZENodHljRjlvT2pWeU1rdFZhREZPY214dmRVSlplRzQ0ZURWVk9XYxAB",
"rating": 5,
"review_text": "Amazing pizza, fast service. Highly recommend.",
"review_datetime_utc": "2026-02-15T12:05:54.947Z",
"review_timestamp": 1771157154,
"review_time": "3 months ago",
"review_link": "https://www.google.com/maps/reviews/...",
"review_photos": ["https://lh3.googleusercontent.com/grass-cs/..."],
"review_language": "en",
"review_text_translated_language": "en",
"like_count": 0,
"review_source": "Google",
"review_source_logo": "https://www.gstatic.com/images/branding/product/1x/googleg_48dp.png",
"author_id": "103696814314978516852",
"author_name": "Salman Idrees",
"author_link": "https://www.google.com/maps/contrib/103696814314978516852",
"author_photo_url": "https://lh3.googleusercontent.com/a-/ALV-...",
"author_review_count": 392,
"author_photo_count": 356,
"author_reviews_link": "https://www.google.com/maps/contrib/103696814314978516852/reviews",
"author_is_local_guide": true,
"author_local_guide_level": 7,
"owner_response": null
}
],
"count": 1,
"pages": 2,
"sort_by": "newest"
}